# Class: CalendarMonth

## M_.CalendarMonth()

Create month calendar to display directly on page or in a M_.Form.Date

## Constructor

#### new CalendarMonth()

##### Properties:

Name | Type | Description
--- | --- | ---
`container` | type |
`dateViewed` | type |
`dateSelected` | type |
`renderCellDay` | type |
`dateFormat` | type |
`dateFormatFrom` | type |
`firstDay` | type |
`noDays` | type |
`noMonths` | type |
`allways6lines` | type |
`cls` | type |
`displayHeader` | type |
`showDateSelected` | type |
`showDateViewed` | type |

Implements:
  - M_.Observable

### Methods

#### create() → {type}

##### Returns:

Type
  type

#### destroy() → {type}

##### Returns:

Type
  type

#### getDateSelected() → {type}

##### Returns:

Type
  type

#### getFirstDay() → {type}

##### Returns:

Type
  type

#### getLastDay() → {type}

##### Returns:

Type
  type

#### nextMonth() → {type}

##### Returns:

Type
  type

#### nextYear() → {type}

##### Returns:

Type
  type

#### nextYears() → {type}

##### Returns:

Type
  type

#### previousMonth() → {type}

##### Returns:

Type
  type

#### previousYear() → {type}

##### Returns:

Type
  type

#### previousYears() → {type}

##### Returns:

Type
  type

#### redraw() → {type}

##### Returns:

Type
  type

#### selectMonth(date) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`date` | type |

##### Returns:

Type
  type

#### selectYear(date) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`date` | type |

##### Returns:

Type
  type

#### setDateSelected(dateSelected, dateViewed)

##### Parameters:

Name | Type | Description
--- | --- | ---
`dateSelected` | type |
`dateViewed` | type |

#### setDateViewed(dateViewed, dateSelected)

##### Parameters:

Name | Type | Description
--- | --- | ---
`dateViewed` | type |
`dateSelected` | type |

#### showDays() → {type}

##### Returns:

Type
  type

#### showMonths() → {type}

##### Returns:

Type
  type

#### showYears() → {type}

##### Returns:

Type
  type